<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:op="utc.fr:ics/opale3" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:xalan="http://xml.apache.org/xalan" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:java="http://xml.apache.org/xslt/java" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" exclude-result-prefixes="op table sp xalan office style svg sl fo xlink java text scodPp sc " >
<xsl:output xmlns:xalan="http://xml.apache.org/xalan" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xalan="http://xml.apache.org/xalan" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xalan="http://xml.apache.org/xalan" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xalan="http://xml.apache.org/xalan" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(..)" name="idRootAgt"/><xsl:template xmlns:xalan="http://xml.apache.org/xalan" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:match"><scodPp:notIfNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0">
		<xsl:for-each select="sc:question"><xsl:variable select="concat('@', getIdNode(.), '_AnotImp')" name="vPathAgentContentN8"/><xsl:value-of select="resultatAgent(concat($vPathAgentContentN8, '/getContent'))" disable-output-escaping="yes"/></xsl:for-each>
		<xsl:comment># sm:WList</xsl:comment><text:list xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="{getEntryBuffer('odStyleBlocks', 'op_match__listMatchLabel')/text:list/@text:style-name}">
			<xsl:variable select="java:java.util.Random.new()" name="vRandom"/><xsl:for-each select=".//sc:label"><xsl:sort data-type="number" select="java:nextDouble($vRandom)"/>
				<scodPp:listItem>
					<xsl:variable select="concat('@', getIdNode(.), '_Alabel')" name="vPathAgentContentN10"/><xsl:value-of select="resultatAgent(concat($vPathAgentContentN10, '/getContent'))" disable-output-escaping="yes"/>
				</scodPp:listItem>
			</xsl:for-each>
		</text:list>
		<xsl:comment># sm:WTable</xsl:comment><xsl:variable name="vBlockCodec889_19">op_match__matchTab</xsl:variable><table:table xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" table:style-name="{getEntryBuffer('odStyleBlocks', string($vBlockCodec889_19))/table:table/@table:style-name}" table:name="WTable">
			
				<xsl:for-each select="sc:group">
					<xsl:choose><xsl:when test="getEntryBuffer('odStyleBlocks', string($vBlockCodec889_19))"><xsl:variable name="vColStyle"><xsl:variable name="vColDom"><xsl:variable select="java:com.scenari.s.fw.utils.HDouble.new()" name="vTmpColCount"/><cols><xsl:for-each select="getEntryBuffer('odStyleBlocks', string($vBlockCodec889_19))/table:table/table:table-column"><xsl:variable select="si(@table:number-columns-repeated, @table:number-columns-repeated - 1, 0)" name="vNbColRepeated"/><col style="{@table:style-name}"><xsl:attribute name="min"><xsl:value-of select="java:hIncreaseOne($vTmpColCount)"/></xsl:attribute><xsl:value-of select="java:hSet($vTmpColCount, java:hGet($vTmpColCount)+$vNbColRepeated)"/><xsl:attribute name="max"><xsl:value-of select="java:hGet($vTmpColCount)"/></xsl:attribute></col></xsl:for-each></cols></xsl:variable><xsl:value-of select="xalan:nodeset($vColDom)/*/col[1&gt;=@min and 1&lt;=@max][1]/@style"/></xsl:variable><table:table-column table:style-name="{normalize-space($vColStyle)}"/></xsl:when><xsl:otherwise><table:table-column/></xsl:otherwise></xsl:choose>
				</xsl:for-each>
			
			
		
			<table:table-row table:style-name="{getEntryBuffer('odStyleBlocks', string($vBlockCodec889_19))/table:table/table:table-row[1]/@table:style-name}">
				<xsl:for-each select="sc:group">
					<table:table-cell table:style-name="{getEntryBuffer('odStyleBlocks', string($vBlockCodec889_19))/table:table/table:table-row[1]/table:table-cell[1]/@table:style-name}"><xsl:for-each select="sc:target"><xsl:variable select="concat('@', getIdNode(.), '_Aimp')" name="vPathAgentContentN1d"/><xsl:value-of select="resultatAgent(concat($vPathAgentContentN1d, '/getContent'))" disable-output-escaping="yes"/></xsl:for-each></table:table-cell>
				</xsl:for-each>
			</table:table-row>
			<table:table-row table:style-name="{getEntryBuffer('odStyleBlocks', string($vBlockCodec889_19))/table:table/table:table-row[2]/@table:style-name}">
				<xsl:for-each select="sc:group">
					<table:table-cell table:style-name="{getEntryBuffer('odStyleBlocks', string($vBlockCodec889_19))/table:table/table:table-row[2]/table:table-cell[1]/@table:style-name}"/>
				</xsl:for-each>
			</table:table-row>
		</table:table>
	</scodPp:notIfNotNull></xsl:template>
		
		
			
				
					
				
			
		
		
			
				
					
						
					
				
			
			
				
					
				
			
		
	<xsl:template match="*"/></xsl:stylesheet>