<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:op="utc.fr:ics/opale3" xmlns:java="http://xml.apache.org/xslt/java" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:emrd="scpf.org:opale/emeraude" exclude-result-prefixes="op java sp emrd " >

<xsl:param name="vSpace"/>
<xsl:param name="vCode"/>

<xsl:template match="/sc:item">
<xsl:apply-templates select="emrd:odRoot"/>
</xsl:template>

<xsl:template match="sc:item/emrd:odRoot">
	
<xsl:apply-templates/>
</xsl:template>


<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:odRoot/sp:activity[@sc:refUri]">
<attrRef nm="emrd_odRoot:activity" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:odRootM/sp:logos/sp:logo[@sc:refUri]">
<attrRef nm="emrd_odRootM:logos:logo:" refUri="{@sc:refUri}"/>
</xsl:template>

				
			




<xsl:template match="text()|@*"/>
</xsl:stylesheet>